Mailinglist Archive: opensuse-security-announce (108 mails)

< Previous Next >
[security-announce] openSUSE-SU-2019:1288-1: important: Security update for libvirt
openSUSE Security Update: Security update for libvirt
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1288-1
Rating: important
References: #1081516 #1102604 #1104662 #1106420 #1108086
#1108395 #1112182 #1117058 #1118952 #1120813
#1123642 #1124667 #1125665 #1126325 #1127458
#1130129
Cross-References: CVE-2019-3840
Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that solves one vulnerability and has 15 fixes is
now available.

Description:

This update for libvirt provides the following fixes:

Security issue fixed:

- CVE-2019-3840: Fixed a null pointer dereference vulnerability in
virJSONValueObjectHasKey function which could have resulted in a remote
denial of service via the guest agent (bsc#1127458).

Other issues addressed:

- apparmor: reintroduce upstream lxc mount rules (bsc#1130129).
- hook: encode incoming XML to UTF-8 before passing to lxml etree from
string method (bsc#1123642).
- supportconfig: collect rotated logs in /var/log/libvirt/* (bsc#1124667).
- libxl: support Xen's max_grant_frames setting with maxGrantFrames
attribute on the xenbus controller (bsc#1126325).
- conf: added new 'xenbus' controller type
- util: skip RDMA detection for non-PCI network devices (bsc#1112182).
- qemu: don't use CAP_DAC_OVERRIDE capability if non-root (bsc#1125665).
- qemu: fix issues related to restricted permissions on
/dev/sev(bsc#1102604).
- apparmor: add support for named profiles (bsc#1118952).
- libxl: save current memory value after successful balloon (bsc#1120813).
- apparmor: Fix ptrace rules. (bsc#1117058)
- libxl: Add support for soft reset. (bsc#1081516)
- libxl: Fix VM migration on busy hosts. (bsc#1108086)
- qemu: Add support for SEV guests. (fate#325817)
- util: Don't check for parallel iteration in hash-related functions.
(bsc#1106420)
- spec: Don't restart libvirt-guests when updating libvirt-client.
(bsc#1104662)
- Fix virNodeGetSEVInfo API crashing libvirtd on AMD SEV enabled hosts.
(bsc#1108395)

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-1288=1



Package List:

- openSUSE Leap 15.0 (i586 x86_64):

libvirt-4.0.0-lp150.7.10.4
libvirt-admin-4.0.0-lp150.7.10.4
libvirt-admin-debuginfo-4.0.0-lp150.7.10.4
libvirt-client-4.0.0-lp150.7.10.4
libvirt-client-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-4.0.0-lp150.7.10.4
libvirt-daemon-config-network-4.0.0-lp150.7.10.4
libvirt-daemon-config-nwfilter-4.0.0-lp150.7.10.4
libvirt-daemon-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-interface-4.0.0-lp150.7.10.4
libvirt-daemon-driver-interface-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-lxc-4.0.0-lp150.7.10.4
libvirt-daemon-driver-lxc-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-network-4.0.0-lp150.7.10.4
libvirt-daemon-driver-network-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-nodedev-4.0.0-lp150.7.10.4
libvirt-daemon-driver-nodedev-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-nwfilter-4.0.0-lp150.7.10.4
libvirt-daemon-driver-nwfilter-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-qemu-4.0.0-lp150.7.10.4
libvirt-daemon-driver-qemu-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-secret-4.0.0-lp150.7.10.4
libvirt-daemon-driver-secret-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-storage-4.0.0-lp150.7.10.4
libvirt-daemon-driver-storage-core-4.0.0-lp150.7.10.4
libvirt-daemon-driver-storage-core-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-storage-disk-4.0.0-lp150.7.10.4
libvirt-daemon-driver-storage-disk-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-storage-iscsi-4.0.0-lp150.7.10.4
libvirt-daemon-driver-storage-iscsi-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-storage-logical-4.0.0-lp150.7.10.4
libvirt-daemon-driver-storage-logical-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-storage-mpath-4.0.0-lp150.7.10.4
libvirt-daemon-driver-storage-mpath-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-storage-scsi-4.0.0-lp150.7.10.4
libvirt-daemon-driver-storage-scsi-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-uml-4.0.0-lp150.7.10.4
libvirt-daemon-driver-uml-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-vbox-4.0.0-lp150.7.10.4
libvirt-daemon-driver-vbox-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-hooks-4.0.0-lp150.7.10.4
libvirt-daemon-lxc-4.0.0-lp150.7.10.4
libvirt-daemon-qemu-4.0.0-lp150.7.10.4
libvirt-daemon-uml-4.0.0-lp150.7.10.4
libvirt-daemon-vbox-4.0.0-lp150.7.10.4
libvirt-debugsource-4.0.0-lp150.7.10.4
libvirt-devel-4.0.0-lp150.7.10.4
libvirt-doc-4.0.0-lp150.7.10.4
libvirt-libs-4.0.0-lp150.7.10.4
libvirt-libs-debuginfo-4.0.0-lp150.7.10.4
libvirt-lock-sanlock-4.0.0-lp150.7.10.4
libvirt-lock-sanlock-debuginfo-4.0.0-lp150.7.10.4
libvirt-nss-4.0.0-lp150.7.10.4
libvirt-nss-debuginfo-4.0.0-lp150.7.10.4
wireshark-plugin-libvirt-4.0.0-lp150.7.10.4
wireshark-plugin-libvirt-debuginfo-4.0.0-lp150.7.10.4

- openSUSE Leap 15.0 (x86_64):

libvirt-client-32bit-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-libxl-4.0.0-lp150.7.10.4
libvirt-daemon-driver-libxl-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-driver-storage-rbd-4.0.0-lp150.7.10.4
libvirt-daemon-driver-storage-rbd-debuginfo-4.0.0-lp150.7.10.4
libvirt-daemon-xen-4.0.0-lp150.7.10.4
libvirt-devel-32bit-4.0.0-lp150.7.10.4


References:

https://www.suse.com/security/cve/CVE-2019-3840.html
https://bugzilla.suse.com/1081516
https://bugzilla.suse.com/1102604
https://bugzilla.suse.com/1104662
https://bugzilla.suse.com/1106420
https://bugzilla.suse.com/1108086
https://bugzilla.suse.com/1108395
https://bugzilla.suse.com/1112182
https://bugzilla.suse.com/1117058
https://bugzilla.suse.com/1118952
https://bugzilla.suse.com/1120813
https://bugzilla.suse.com/1123642
https://bugzilla.suse.com/1124667
https://bugzilla.suse.com/1125665
https://bugzilla.suse.com/1126325
https://bugzilla.suse.com/1127458
https://bugzilla.suse.com/1130129

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages